#!/bin/bash
# Les planètes, revisitées.

# Associe le nom de chaque planète à sa distance du soleil.

for planete in "Mercure 57" "Vénus 108" "Terre 150"  "Mars 227" "Jupiter 779"
do
  set -- $planete  #  Analyse la variable "planete"
                   #+ et initialise les paramètres de position.
  #  Le "--" empêche de mauvaises surprises si $planete est nul
  #+ ou commence par un tiret.

  #  Il peut être utile de sauvegarder les paramètres de position d'origine, 
  #+ car ils vont être écrasés.
  #  Un moyen pour cela est d'utiliser un tableau,
  #        parametres_d_origine=("$@")

  echo "$1		$2 000 000 km du soleil"
  #-------deux tabulations---on colle les zéros à la suite du paramètre $2
done

# (Merci, S.C., pour les clarifications supplémentaires.)

exit 0
